# $Revision: 1.39 $, $Date: 2006/12/28 10:46:25 $
# TODO:
# - orphaned dirs for %{_manualdocdir}/mod/*html
#
%bcond_without	ipv6		# disable IPv6 support. must match same bcond from apache1-devel
#
%include	/usr/lib/rpm/macros.perl
%define		mod_name	perl
%define 	apxs	/usr/sbin/apxs1
Summary:	A Perl interpreter for the Apache Web server
Summary(cs):	Vestavn interpret Perlu pro WWW server Apache
Summary(da):	En indbygget Perl-fortolker for webtjeneren Apache
Summary(de):	Ein eingebetteter Perl-Interpreter fr den Apache Web-Server
Summary(es):	Intrprete Perl para el servidor Web Apache
Summary(fr):	Interprteur Perl intgr pour le serveur Web Apache
Summary(id):	Interpreter Perl untuk web server Apache
Summary(is):	Perl tlkur fyrir Apache vefjninn
Summary(it):	Interprete Perl integrato per il server Web Apache
Summary(ja):	Apache Web СѤȹ Perl 󥿡ץ꥿
Summary(nb):	En Perl-fortolker for webtjeneren Apache
Summary(pl):	Interpreter Perla dla serwera WWW Apache
Summary(pt):	Um interpretador de Perl embebido para o servidor Web Apache
Summary(ru):	  Perl  WWW- Apache
Summary(sk):	Interpreter jazyka Perl pre webov server Apache
Summary(sl):	Vkljueni perlovski tolma za spletni strenik Apache
Summary(sv):	En inbyggd Perl-interpretator fr webbservern Apache
Summary(uk):	   Perl   Apache
Summary(zh_CN):	 Apache web  Perl ͳ
Name:		apache1-mod_perl
Version:	1.29
Release:	14
License:	GPL
Group:		Networking/Daemons
Source0:	http://perl.apache.org/dist/mod_perl-%{version}.tar.gz
# Source0-md5:	1491931790509b9af06fc037d02b0e7a
Patch0:		apache-perl-rh.patch
# from ftp://ftp.kddlabs.co.jp/Linux/packages/Kondara/pub/Jirai/
Patch1:		mod_perl-v6.patch
Patch2:		%{name}-optimize.patch
URL:		http://perl.apache.org/
BuildRequires:	%{apxs}
%{?with_ipv6:BuildRequires:	apache1(ipv6)-devel}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	perl-B-Graph
BuildRequires:	perl-BSD-Resource
BuildRequires:	perl-Devel-Symdump
BuildRequires:	perl-HTML-Parser
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-URI
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI)
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')
Provides:	apache(mod_perl)
Obsoletes:	mod_perl
Obsoletes:	mod_perl-common
# older apache1-mod_perl could make bad autodeps to perl-mod_perl1
BuildConflicts:	apache1-mod_perl < 1.29-12.1
%{!?with_ipv6:Conflicts:	apache1(ipv6)}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_noautoreqdep	'perl(Apache::.*)' 'perl(mod_perl)'
%define		_manualdocdir	%{_datadir}/apache1-manual

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code. Mod_perl
links the Perl runtime library into the Apache web server and provides
an object-oriented Perl interface for Apache's C language API. The end
result is a quicker CGI script turnaround process, since no external
Perl interpreter has to be started.

%description -l cs
Modul mod_perl zaleuje interpret Perlu do WWW serveru Apache, take
WWW server me pmo provdt programy v Perlu. Mod_perl pipojuje
bhovou knihovnu Perlu do Apache WWW serveru a poskytuje objektov
orientovan perlovsk rozhran pro API serveru Apache. Vsledkem je
rychlej start CGI skript, protoe nemus bt startovn extern
interpret Perlu.

%description -l de
Mod_perl integriert einen Perl-Interpreter in den Apache Web-Server,
so dass dieser Perl-Code direkt ausfhren kann. Das Programm verknpft
die Perl-Runtime-Bibliothek mit dem Apache Web-Sever und stellt eine
objektorientierte Perl-Benutzeroberflche fr die C-API des
Apache-Servers bereit. Das Resultat ist eine schnellere Ausfhrung von
CGI-Skripten, da kein externer Perl-Interpreter gestartet werden muss.

%description -l es
Mod_perl incluye un intrprete Perl en el servidor Apache, de manera
que se puede ejecutar el cdigo Perl directamente desde el servidor
Web. Mod_perl enumera las bibliotecas runtime del Perl al Web servidor
Apache y proporciona una interfaz Perl object-oriented para las API
del lenguaje C. De tal modo que se obtiene una ejecucin ms rpida de
los script CGI sin necesidad de apoyarse en un intrprete Perl.

%description -l fr
Mod_perl incorpore un interprteur Perl dans le serveur Web Apache, de
manire  ce que le serveur Web Apache puisse excuter directement du
code Perl. Mod_perl lie la bibliothque d'excution Perl au serveur
Web Apache et fournit une interface Perl oriente objet pour l'API en
langage C d'Apache. Le rsultat final est une excution des scripts
CGI plus rapide, du fait qu'aucun interprteur Perl externe ne doit
tre dmarr.

%description -l id
Mod_perl memasukkan interpreter Perl ke dalam web server Apache,
sehingga Apache dapat secara langsung menjalankan kode Perl. Mod_perl
me-link runtime library Perl ke dalam web server Apache dan
menyediakan antarmuka Perl yang object-oriented untuk API Apache yang
ditulis dalam C. Hasilnya, respon proses CGI lebih cepat, karena tidak
perlu lagi menjalankan interpreter Perl eksternal.

%description -l is
Mod_perl vinnur me perl  Apache vefjninum svo a Apache geti beint
keyrt Perl ka. Mod_perl tengir Perl keyrslu sfnin vi Apache
vefjninn og bur upp  hlutbundi Perl fyrir Apache C
forritunarmls API. a sem grist er Hraari CGI scriptur ar sem
a er engar ttengd Perl kll.

%description -l it
Mod_perl incorpora un interprete Perl nel server web Apache, in modo
che quest'ultimo possa eseguire direttamente il codice Perl. Mod_perl
collega la libreria runtime di Perl al server web Apache e fornisce
un'interfaccia Perl orientata all'oggetto per le API in linguaggio C
di Apache. In tal modo si velocizza il processo di turnaround degli
script CGI, poich non  pi necessario appoggiarsi ad un interprete
Perl esterno.

%description -l ja
mod_perl ϡApache Web Сľ Perl ɤ¹ԤǤ褦ˡ
Perl 󥿡ץ꥿ Apache Web СȤ߹ߤޤmod_perl ϡ
Perl Υ󥿥饤֥ Apache Web С˥󥯤Apache
 C  API ѤΥ֥Ȼظ Perl 󥿡ե
ޤη̡ Perl 󥿡ץ꥿ưɬפʤᡢ
CGI ץȤΥ󥢥饦ɥץ®ʤޤ

%description -l pl
Mod_perl jest moduem, ktry wyposaa serwer Apache w interpreter
Perla, umoliwiajc w ten sposb bezporednie wykonywanie kodu Perla
przez serwer bez potrzeby angaowania zewntrznego interpretera, co
przyspiesza procesy zwizane z uruchamianiem skryptw CGI.

%description -l pt
O mod_perl incorpora um interpretador de Perl no servidor Web Apache,
para que assim o servidor Web Apache possa executar directamente
cdigo em Perl. O mod_perl associa a biblioteca de execuo do Perl
com o servidor Web Apache e oferece uma interface orientada por
objectos do Perl para a API de C do Apache. O resultado final  um
processo de torneamento dos 'scripts' CGI mais rpido, dado que no
tem que se iniciar um interpretador de Perl externo.

%description -l ru
Mod_perl  Perl-  WWW- Apache,  
       Perl. Mod_perl 
   Perl   Apache  
-  Perl API  Apache C. 
 -     CGI.

%description -l sk
Mod_perl zaleuje interpreter Perlu do webovho servera Apache;
server Apache potom me priamo vykonva prkazy Perlu. Mod_perl
zlinkuje kninicu Perlu s webovm serverom Apache a poskytne tak
objektovo orietovan rozhranie Perlu pre aplikan rozhranie servera
Apache v jazyku C. Vsledkom je rchlejie vykonanie CGI skriptu, bez
akhokovek spustenia externho interpretera jazyka Perl.

%description -l sv
Mod_perl infrlivar en Perl-interpretator i webbservern Apache, s att
webbervern Apach kan kra Perl-kod direkt. Mod_perl lnkar in Perls
krtidsbibliotek i webbservern Apache och ger ett objektorienterat
Perl-grnssnitt till Apaches API i sprket C. Slutresultatet r en
snabbare processomsttning av CGI-skript, eftersom ingen extern
Perl-interpretator behver startas.

%description -l uk
 æ Apache  Perl Ѥ   
Φ   Perl  web- Apache. 
   ¦̦ Perl  
Apache  DSO   '-Ҧ Perl-¦̦ 
  Apache API.

    mod_perl',  Ѥ 
̦  Apache   צ Perl. Ҧ ,  Ѥ
      Perl 
æ  .

%description -l zh_CN
Mod_perl  Perl ͳ Apache web һ
Ա߿ֱִ Perl 롣 Mod_perl  Perl ʱ
Apache web  Ϊ Apache  C  API ṩ Perl
ӿڡ ڲκⲿ Perl ͳ˻ʹ CGI
űת̸Ϊ١

%package devel
Summary:	Files needed for building XS modules that use mod_perl
Summary(pl):	Pliki potrzebne do budowania moduw XS korzystajcych z mod_perla
Group:		Development/Libraries
Requires:	apache1-devel
Requires:	perl-mod_%{mod_name}1 = %{version}-%{release}

%description devel
The apache1-mod_perl-devel package contains the files needed for
building XS modules that use mod_perl.

%description devel -l pl
Ten pakiet zawiera pliki potrzebne do budowania moduw XS
korzystajcych z mod_perla.

%package -n perl-mod_%{mod_name}1
Summary:	Perl APIs for mod_perl
Summary(pl):	Perlowe API dla mod_perla
Group:		Development/Languages/Perl

%description -n perl-mod_%{mod_name}1
Perl APIs for mod_perl.

%description -n perl-mod_%{mod_name}1 -l pl
Perlowe API dla mod_perl.

%prep
%setup  -q -n mod_perl-%{version}
%patch0 -p1
%{?with_ipv6:%patch1 -p1}
%patch2 -p1

%build
%{__perl} Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=%{apxs} \
	EVERYTHING=1 \
	PERL_STACKED_HANDLERS=1 \
	OPTIMIZE="%{rpmcflags}" \
	INSTALLDIRS=vendor

ln -s ../src/modules apaci/modules
chmod +x apaci/find_source

%{__make} \
	OPTIMIZE="%{rpmcflags}"
%{__make} -C faq

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d,%{_manualdocdir}/mod}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install apaci/libperl.so $RPM_BUILD_ROOT%{_pkglibdir}
install htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT%{_manualdocdir}/mod

echo 'LoadModule %{mod_name}_module	modules/lib%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

# clean known unpackaged files
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/*.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Bundle/Apache.pm
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/mod_%{mod_name}/.packlist
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::Apache.3pm*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1.29-7.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{__sed} -i -e '/^\(Add\|Load\)Module.*libperl\.\(so\|c\)/d' /etc/apache/apache.conf
fi

%files
%defattr(644,root,root,755)
%doc README INSTALL CREDITS faq/*.html faq/*.txt apache-modlist.html eg
# FIXME: parent dirs not owned as the manualdocdir (via apache1-doc) is not in deps
%doc %{_manualdocdir}/mod/*html

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%files -n perl-mod_%{mod_name}1
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/*.PL

%dir %{perl_vendorarch}/Apache
%{perl_vendorarch}/Apache/*.pm
%{perl_vendorarch}/Apache/Constants
%dir %{perl_vendorarch}/auto/Apache
%dir %{perl_vendorarch}/auto/Apache/Leak
%dir %{perl_vendorarch}/auto/Apache/Symbol

%{perl_vendorarch}/auto/*/*/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/*/*/*.so

%{_mandir}/man3/[Acm]*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/auto/Apache/typemap
%{perl_vendorarch}/auto/Apache/mod_perl.exp
%{perl_vendorarch}/auto/Apache/include

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_perl.spec,v $
Revision 1.39  2006/12/28 10:46:25  glen
- do not require metapackage apache1; rel 14

Revision 1.38  2006/05/19 09:07:19  qboosh
- pl summary for perl-

Revision 1.37  2006/05/03 20:16:31  glen
- rel 13

Revision 1.36  2006/05/02 23:44:40  glen
- splitting perl-mod_perl1 so that apache1 is not needed on builders

Revision 1.35  2006/05/02 22:46:00  glen
- plain apache require (it's internals will never change anymore), rel 12

Revision 1.34  2006/04/14 17:03:25  glen
- use %service

Revision 1.33  2006/02/27 14:48:48  glen
- drop P: perl(mod_perl_hooks)

Revision 1.32  2006/01/25 11:40:30  qboosh
- pl for -devel

Revision 1.31  2006/01/15 11:52:19  glen
- rel 11

Revision 1.30  2006/01/03 12:55:33  glen
- avoid apxs dep

Revision 1.29  2005/12/29 19:32:50  glen
- correct last changelog
- added -devel package

Revision 1.28  2005/12/29 19:29:35  glen
- fix mod_perl.html document location
- remove Provides: mod_perl (no PLD package uses it)
- drop Obsoletes: perl-Apache-Test as it's not clear why it's needed
  and it causes apache2 mod_perl being obsoleted with each this
  mod_perl package upgrade
- fix (activate) apache ipv6 dep
- please test

Revision 1.27  2005/12/25 23:22:14  glen
- Provide apache(mod_perl)
- sort preamble; rel 10

Revision 1.26  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.25  2005/02/28 22:35:21  glen
- rel 9; STBR

Revision 1.24  2005/02/28 22:29:50  glen
- builder sux

Revision 1.23  2005/02/24 18:11:54  glen
- rel 8; STBR

Revision 1.22  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.21  2005/02/10 01:49:35  glen
- confdir enabled apache1
- added ipv6 bcond
- unify: apache1(EAPI)-devel -> apache1-devel
- remove known unpackaged files

Revision 1.20  2004/11/28 12:47:29  radek
- release 6: changed req_eq perl-base to strict DynaLoader req

Revision 1.19  2004/11/20 15:34:29  radek
- release 6: requires_eq perl-base

Revision 1.18  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.17  2004/10/25 11:47:23  paladine
- "Perl" unifications

Revision 1.16  2004/08/20 20:01:14  areq
- rebuild Release: 5

Revision 1.15  2004/05/11 22:07:20  ankry
- kill unnecessary %requires_eq perl-base, rel. 4

Revision 1.14  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.13  2004/05/04 22:46:47  ankry
- fixed _noautoreqdep

Revision 1.12  2004/05/04 21:39:59  ankry
- O: perl-Apache-Test, _noautoreqdep

Revision 1.11  2004/04/22 22:33:11  ankry
- BR: apache1-devel, not apache-devel

Revision 1.10  2004/04/22 22:30:18  ankry
- BR: apache-devel >= 1.3.29-4

Revision 1.9  2004/04/01 19:30:02  areq
- s/httpd/apache/
- use apxs1

Revision 1.8  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.7  2003/11/23 12:49:24  radek
- release 2: requires_eq apache1 and perl-base

Revision 1.6  2003/11/21 16:06:35  radek
- added -optimize patch to make it --debug friendly
- don't BR:perl, used perl-devel instead; sorted BR's
- use the __perl macro
- killed one subshell

Revision 1.5  2003/10/23 23:33:43  qboosh
- updated to 1.29

Revision 1.3  2003/05/26 16:24:25  malekith
- massive attack: adding Source-md5

Revision 1.2  2003/05/25 05:45:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/03 08:18:34  qboosh
- last version for apache 1.x - just changed Name

Revision 1.33  2003/03/17 21:59:34  qboosh
- release 3: updates for perl 5.8.0
- removed BR: gdbm-devel (needed only when libperl is linked with -lgdbm)

Revision 1.32  2003/03/05 20:05:33  migo
- added URL:

Revision 1.31  2002/09/02 14:53:46  kloczek
- release 2.

Revision 1.30  2002/09/01 21:58:40  qboosh
- more specific Requires, removed one subshell

Revision 1.29  2002/09/01 17:32:30  radek
- version 1.27
- STBR

Revision 1.28  2002/08/13 15:06:22  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.27  2002/07/24 00:12:37  ankry
- removed .packlist
- release 9

Revision 1.26  2002/07/18 23:50:56  ankry
- moved %{perl_sitelib}/Apache to perl again
- release 8

Revision 1.25  2002/07/16 23:12:20  ankry
- added some dirs (from perl)
- cleaning
- release 7

Revision 1.24  2002/06/17 06:29:39  kloczek
- release 6,
- fix %postun: on remove package restart (not stop) apache.

Revision 1.23  2002/05/30 11:11:32  kloczek
- use new %doc.

Revision 1.22  2002/04/25 15:46:27  arturs
- fixed a small typo

Revision 1.21  2002/04/12 14:36:59  wiget
- add missing files (but double check if some file are still missing), release 5

Revision 1.20  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/17 21:09:11  ankry
- release 4

Revision 1.17  2002/02/17 19:01:42  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.16  2002/02/17 05:00:50  kloczek
- release 3.

Revision 1.15  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.14  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/03 05:34:25  kloczek
- release 2: mod_perl-common added to Obsoletes for allow upgrade from MDK.

Revision 1.12  2001/07/16 01:04:43  kloczek
- updated to 1.26.

Revision 1.11  2001/07/16 00:07:06  qboosh
- removed Bundle::* - we use rpm dependencies
- release 5

Revision 1.10  2001/05/01 20:45:03  kloczek
- added apache(EAPI) to Prereq,
- added apache(EAPI)-devel to BuildRequires,
- use more macros,
- remove pod documentations,
- few celanups.

Revision 1.9  2001/04/17 12:04:03  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.8  2001/04/16 20:21:20  baggins
- release 3
- fixed pre/post scripts
- put documentation in proper place

Revision 1.7  2001/04/14 18:00:03  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.6  2001/04/11 02:38:49  baggins
- release 2
- proper (at least compiling :) ipv6 patch

Revision 1.5  2001/03/29 08:57:28  mis
- autoupdated to 1.25

Revision 1.4  2001/01/09 17:16:32  baggins
- updated to 1.24_01

Revision 1.3  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.2  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.1  2000/05/18 20:46:28  bonkey
- added post and preun scripts with apxs installation of module

Revision 1.6  2000/05/18 18:50:35  bonkey
- upgraded to 1.24
- apache-perl-IPV6.patch turned off due to compilation problems

Revision 1.5  2000/04/05 11:54:17  bonkey
- updated to 1.22
- correction in url
- problems with building? apache 1.3.12

Revision 1.4  2000/04/01 11:14:54  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.2  1999/11/08 15:54:32  pius
- added missing CVS tag on top of spec
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- added pl translation
- simplifications in %install
- added gzipping documentation
- added missing files
- other small changes
- release++

Revision 1.1  1999/08/02 12:52:51  misiek
- renamed to mod_perl

Revision 1.5  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/20 12:31:35  wiget
- more BuildPreReq:

Revision 1.3  1999/07/13 11:34:26  wiget
- rewrite to PLD style

Revision 1.2  1999/07/12 23:05:52  kloczek
- added using CVS keywords in %changelog (for automating them).
- based on spec file from RH
